Loading...
Searching...
No Matches
CsoundScoreEvent Struct Reference

Specialization of CsoundEvent for low-level score events with raw pfields. More...

`#include <csound_threaded.hpp>`

Inheritance diagram for CsoundScoreEvent:

## Public Member Functions

| CsoundScoreEvent (char opcode_, const MYFLT *pfields_, long pfield_count)
virtual int | operator() (CSOUND *csound_)
| Dispatches the event to Csound during performance.

## Data Fields

char | opcode
std::vector< MYFLT > | pfields

## Detailed Description

Specialization of CsoundEvent for low-level score events with raw pfields.

## Constructor & Destructor Documentation

## CsoundScoreEvent()

CsoundScoreEvent::CsoundScoreEvent | ( | char | opcode_,
|  | const MYFLT * | pfields_,
|  | long | pfield_count )

inline

References opcode, and pfields.

## Member Function Documentation

## operator()()

virtual int CsoundScoreEvent::operator() | ( | CSOUND * | csound_ | ) |

inline virtual

Dispatches the event to Csound during performance.

Implements CsoundEvent.

References csoundScoreEvent(), opcode, and pfields.

## Field Documentation

## opcode

char CsoundScoreEvent::opcode

Referenced by CsoundScoreEvent(), and operator()().

## pfields

std::vector<MYFLT> CsoundScoreEvent::pfields

Referenced by CsoundScoreEvent(), and operator()().